Index: multimedia/libdriv/alsa/alsa.ent
===================================================================
--- multimedia/libdriv/alsa/alsa.ent	(revision 28a9992c34f9e2ef1a4ef2226831619e42d17580)
+++ multimedia/libdriv/alsa/alsa.ent	(revision 45e4bc507204e4add7a4111e8ad518a876f54aa7)
@@ -1,4 +1,4 @@
 <!ENTITY alsa SYSTEM "../alsa.xml">
-<!ENTITY alsa-version "0.9.2">
+<!ENTITY alsa-version "0.9.4">
 
 <!ENTITY % alsa-driver SYSTEM "driver/alsa-driver.ent">
Index: multimedia/libdriv/alsa/driver/alsa-driver-exp.xml
===================================================================
--- multimedia/libdriv/alsa/driver/alsa-driver-exp.xml	(revision 28a9992c34f9e2ef1a4ef2226831619e42d17580)
+++ multimedia/libdriv/alsa/driver/alsa-driver-exp.xml	(revision 45e4bc507204e4add7a4111e8ad518a876f54aa7)
@@ -1,9 +1,4 @@
 <sect2>
 <title>Command explanations</title>
-
-<para>&lt;kernel-version&gt; should be replaced with your kernel version,
-including any EXTRAVERSION such as -ac1 or -ac2.  If you are using a normal
-kernel tarball, it will simply be the standard number (such as
-2.4.19).</para>
 
 <para><userinput>--with-sequencer=yes </userinput>: This tells the
@@ -20,12 +15,10 @@
 ISA soundcard, it's best to say yes here.</para>
 
-<para><userinput>--with-cards=... </userinput>: You can tell the script just
+<para><userinput>--with-cards=all </userinput>: You can tell the script just
 to build the drivers for your particular sound card here.  For full information
 on which drivers are available see <userinput>./configure
 --help</userinput>.  If you aren't sure which chipset your soundcard uses,
 have a look in <filename>CARDS-STATUS</filename> in the alsa-driver source
-tree.  If you want to build all drivers (for some reason) then
-simply leave out the <userinput>--with-cards</userinput> statement
-entirely.</para>
+tree.  the default specified here will build all drivers.</para>
 
 </sect2>
Index: multimedia/libdriv/alsa/driver/alsa-driver-inst.xml
===================================================================
--- multimedia/libdriv/alsa/driver/alsa-driver-inst.xml	(revision 28a9992c34f9e2ef1a4ef2226831619e42d17580)
+++ multimedia/libdriv/alsa/driver/alsa-driver-inst.xml	(revision 45e4bc507204e4add7a4111e8ad518a876f54aa7)
@@ -13,10 +13,10 @@
 
 <para><screen><userinput>./configure \
-   --with-moddir=/lib/modules/&lt;kernel-version&gt;/kernel/drivers/sound/ \
-   --with-kernel=/lib/modules/&lt;kernel-version&gt;/build \
+   --with-moddir=/lib/modules/`uname -r`/kernel/drivers/sound \
+   --with-kernel=/lib/modules/`uname -r`/build \
    --with-sequencer=yes \
    --with-oss=yes \
    --with-isapnp=no \
-   --with-cards=&lt;soundcards-to-compile&gt; &amp;&amp;
+   --with-cards=all &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen></para>
Index: multimedia/libdriv/alsa/driver/alsa-driver.ent
===================================================================
--- multimedia/libdriv/alsa/driver/alsa-driver.ent	(revision 28a9992c34f9e2ef1a4ef2226831619e42d17580)
+++ multimedia/libdriv/alsa/driver/alsa-driver.ent	(revision 45e4bc507204e4add7a4111e8ad518a876f54aa7)
@@ -9,3 +9,3 @@
 <!ENTITY alsa-driver-download-http "http://www.alsa-project.org/alsa/ftp/driver/alsa-driver-&alsa-driver-version;.tar.bz2">
 <!ENTITY alsa-driver-download-ftp "ftp://ftp.alsa-project.org/pub/driver/alsa-driver-&alsa-driver-version;.tar.bz2">
-<!ENTITY alsa-driver-size "1.6 MB">
+<!ENTITY alsa-driver-size "1.5 MB">
Index: multimedia/libdriv/alsa/lib/alsa-lib.ent
===================================================================
--- multimedia/libdriv/alsa/lib/alsa-lib.ent	(revision 28a9992c34f9e2ef1a4ef2226831619e42d17580)
+++ multimedia/libdriv/alsa/lib/alsa-lib.ent	(revision 45e4bc507204e4add7a4111e8ad518a876f54aa7)
@@ -8,3 +8,3 @@
 <!ENTITY alsa-lib-download-http "http://www.alsa-project.org/alsa/ftp/lib/alsa-lib-&alsa-lib-version;.tar.bz2">
 <!ENTITY alsa-lib-download-ftp "ftp://ftp.alsa-project.org/pub/lib/alsa-lib-&alsa-lib-version;.tar.bz2">
-<!ENTITY alsa-lib-size "485 KB">
+<!ENTITY alsa-lib-size "486 KB">
Index: multimedia/libdriv/alsa/oss/alsa-oss.ent
===================================================================
--- multimedia/libdriv/alsa/oss/alsa-oss.ent	(revision 28a9992c34f9e2ef1a4ef2226831619e42d17580)
+++ multimedia/libdriv/alsa/oss/alsa-oss.ent	(revision 45e4bc507204e4add7a4111e8ad518a876f54aa7)
@@ -5,5 +5,5 @@
 <!ENTITY alsa-oss-config SYSTEM "alsa-oss-config.xml">
 <!ENTITY alsa-oss-buildsize "1.3 MB">
-<!ENTITY alsa-oss-version "0.9.1">
+<!ENTITY alsa-oss-version "&alsa-version;">
 <!ENTITY alsa-oss-download-http "http://www.alsa-project.org/alsa/ftp/oss-lib/alsa-oss-&alsa-oss-version;.tar.bz2">
 <!ENTITY alsa-oss-download-ftp "ftp://ftp.alsa-project.org/pub/oss-lib/alsa-oss-&alsa-oss-version;.tar.bz2">
Index: multimedia/libdriv/alsa/tools/alsa-tools.ent
===================================================================
--- multimedia/libdriv/alsa/tools/alsa-tools.ent	(revision 28a9992c34f9e2ef1a4ef2226831619e42d17580)
+++ multimedia/libdriv/alsa/tools/alsa-tools.ent	(revision 45e4bc507204e4add7a4111e8ad518a876f54aa7)
@@ -4,6 +4,6 @@
 <!ENTITY alsa-tools-desc SYSTEM "alsa-tools-desc.xml">
 <!ENTITY alsa-tools-buildsize "6.8 MB (to compile all tools)">
-<!ENTITY alsa-tools-version "0.9.1">
+<!ENTITY alsa-tools-version "&alsa-version;">
 <!ENTITY alsa-tools-download-http "http://www.alsa-project.org/alsa/ftp/tools/alsa-tools-&alsa-tools-version;.tar.bz2">
 <!ENTITY alsa-tools-download-ftp "ftp://ftp.alsa-project.org/pub/tools/alsa-tools-&alsa-tools-version;.tar.bz2">
-<!ENTITY alsa-tools-size "376 KB">
+<!ENTITY alsa-tools-size "661 KB">
